Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

### Protocols

### Constants

### Functions

### Macros

### Types

### Variables

# GDL2

### Authors

Mirko Viviani (`mirko.viviani@gmail.com`)
Manuel Guesdon (`mguesdon@orange-concept.com`)
David Ayers (`ayers@fsfe.org`)
Matt Rice (`ratmice@gmail.com`)

# GDL2 - GNUstep Database Library 2

The GNUstep Database Library 2 (GDL2) is a set of libraries to map Objective-C objects to rows of relational database management systems (RDBMS). It aims to be compatible with Enterprise Objects Framework (EOF) as released with WebObjects 4.5 from Apple Inc.

GDL2 consists of the following components:

## - EOControl

The fundamental abstraction library which includes many non RDBMS related extensions such as KeyValueCoding extensions and other categories. Most importantly it contains the classes which handle the coordination of object graphs namely EOEditingContext.

## - EOAccess

This library implements the underlying mechanism to retrieve and store data in RDBMS. It defines the abstract classes like EOAdaptor which are subclassed to interface with concrete RDBMS implementations.

## - EOInterface

This library implements classes used to synchronize UI components such as NSTextFields, NSButtons and NSTableViews with the state of objects which an EOEditingContext contains.